List Commits

View as Markdown
  • GET
  • /workspaces
  • /:workspace
  • /artifacts
  • /:artifact_id
  • /versions
  • /:version_id
  • /commits

Get commits of a GIT artifact version

Request

REQUIRED SCOPES
ARTIFACT_READ
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

artifact_idrequiredstring
The Artifact ID

Example: "x5169jL2"

version_idrequiredstring
The Version ID

Example: "a9f84k2L"

GET PARAMETERS
pageinteger
Page number for pagination

Example: 1

per_pageinteger
Number of items per page

Example: 20

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
commitsArtifactVersionCommitView[]
List of commits

Last modified on Nov 17, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace/artifacts/:artifact_id/versions/:version_id/commits" \
  -H "Authorization: Bearer <YOUR-TOKEN>" \
  -H "Content-Type: application/json"
EXAMPLE RESPONSE
{
  "url": "https://api.buddy.works/workspaces/ttests/artifacts/x5169jL2/versions/a9f84k2L/commits",
  "html_url": "https://app.buddy.works/ttests/-/artifacts/x5169jL2/versions/a9f84k2L/commits",
  "commits": [
    {
      "revision": "9a1c3f2e8b7d6c5a4f3e2d1c0b9a8f7e6d5c4b3a",
      "short_revision": "9a1c3f2",
      "message": "Add build artifacts",
      "author_date": "2024-01-20T10:30:00Z",
      "commit_date": "2024-01-20T10:30:00Z",
      "author": {
        "url": "https://api.buddy.works/workspaces/ttests/members/1",
        "html_url": "https://app.buddy.works/ttests/-/profile/1",
        "id": 1,
        "name": "Jane Doe",
        "avatar_url": "https://app.buddy.works/image-server/user/0/0/0/0/0/0/1/d643744fbe5ebf2906a4d075a5b97110/w/32/32/AVATAR.png",
        "email": "jane@example.com",
        "admin": true,
        "workspace_owner": true
      },
      "committer": {
        "url": "https://api.buddy.works/workspaces/ttests/members/1",
        "html_url": "https://app.buddy.works/ttests/-/profile/1",
        "id": 1,
        "name": "Jane Doe",
        "avatar_url": "https://app.buddy.works/image-server/user/0/0/0/0/0/0/1/d643744fbe5ebf2906a4d075a5b97110/w/32/32/AVATAR.png",
        "email": "jane@example.com",
        "admin": true,
        "workspace_owner": true
      },
      "parents": [
        {
          "revision": "8f7e6d5c4b3a2f1e0d9c8b7a6f5e4d3c2b1a0f9e"
        }
      ],
      "branches": [
        "main"
      ]
    }
  ]
}
STATUS
200 OK